<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><% LIN_PRODUCT_NAME %></title>
<meta http-equiv="X-UA-Compatible" content="IE=9,8,7,6,5" />
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="expires" content="-1">
<link rel="stylesheet" href="/template.css" type="text/css">
<script language=javascript src="/java/js.js"></script>
<script type="text/javascript" src="/java/jquery-1.4.4.pack.js"></script>
<script language="JavaScript">
<!--
var isIE = /*@cc_on!@*/false;
var secs;
var timerID=null;
var delay=1000;
var http_request;
var xmlDoc;
var xmlNode;
var serverNoResponseCount=0;
var outsource=<% UPS_OUTSRC %>;
var infreq1="<% UPS_INFREQ1 %>";
var infreq2="<% UPS_INFREQ2 %>";
var infreq3="<% UPS_INFREQ3 %>";
var involt1="<% UPS_INVOLT1 %>";
var involt2="<% UPS_INVOLT2 %>";
var involt3="<% UPS_INVOLT3 %>";
var inamp1="<% UPS_INAMP1 %>";
var inamp2="<% UPS_INAMP2 %>";
var inamp3="<% UPS_INAMP3 %>";
var involt12="<% UPS_INVOLT12 %>";
var involt23="<% UPS_INVOLT23 %>";
var involt31="<% UPS_INVOLT31 %>";
var byfreq1="<% UPS_BYFREQ1 %>";
var byvolt1="<% UPS_BYVOLT1 %>";
var byvolt2="<% UPS_BYVOLT2 %>";
var byvolt3="<% UPS_BYVOLT3 %>";
var byamp1="<% UPS_BYAMP1 %>";
var byamp2="<% UPS_BYAMP2 %>";
var byamp3="<% UPS_BYAMP3 %>";
var bypower1="<% UPS_BYPOWER1 %>";
var bypower2="<% UPS_BYPOWER2 %>";
var bypower3="<% UPS_BYPOWER3 %>";
var byvolt12="<% UPS_BYVOLT12 %>";
var byvolt23="<% UPS_BYVOLT23 %>";
var byvolt31="<% UPS_BYVOLT31 %>";
var outSrc=new Array('<span id="@index#30">Normal</span>','<span id="@index#31">Battery</span>','<span id="@index#32">Bypass/Reserve</span>','<span id="@index#33">Reducing</span>','<span id="@index#34">Boosting</span>','<span id="@index#35">Manual Bypass</span>','<span id="@index#36">Other</span>','<span id="@index#37">No output</span>');
var outfreq1="<% UPS_OUTFREQ %>";
var outvolt1="<% UPS_OUTVOLT1 %>";
var outvolt2="<% UPS_OUTVOLT2 %>";
var outvolt3="<% UPS_OUTVOLT3 %>";
var outamp1="<% UPS_OUTAMP1 %>";
var outamp2="<% UPS_OUTAMP2 %>";
var outamp3="<% UPS_OUTAMP3 %>";
var outpower1="<% UPS_OUTPOWER1 %>";
var outpower2="<% UPS_OUTPOWER2 %>";
var outpower3="<% UPS_OUTPOWER3 %>";
var outload1="<% UPS_OUTLOAD1 %>";
var outload2="<% UPS_OUTLOAD2 %>";
var outload3="<% UPS_OUTLOAD3 %>";
var outvolt12="<% UPS_OUTVOLT12 %>";
var outvolt23="<% UPS_OUTVOLT23 %>";
var outvolt31="<% UPS_OUTVOLT31 %>";
var outBankSts="<% UPS_OUTLETSTS %>";
var classString=new Array("normal", "normal", "warning", "critical");

function InitializeTimer()
{
	// Set the length of the timer, in seconds
	secs=0;
	RunTheTimer();
}

function RunTheTimer()
{
	if(secs==0) {
		secs = <% WEB_REFRESH %>;
		if(serverNoResponseCount>3) {
			UpdateXMLValue(); // Display unknown
		}
		serverNoResponseCount++; // Increase no response counter
		MakeXMLRequest();
	}
	self.status=secs;
	secs=secs-1;
	timerID=self.setTimeout("RunTheTimer()",delay);
}

function MakeXMLRequest()
{
    if(window.XMLHttpRequest) // IE7, Chrome
    	http_request=new XMLHttpRequest();
    else if(window.ActiveXObject) { // IE
    	try {
        	// New IE
        	http_request=new ActiveXObject("Msxml2.XMLHTTP");
    	}
    	catch(e) {
        	try {
        		// IE6, IE5
        		http_request=new ActiveXObject("Microsoft.XMLHTTP");
        	}
        	catch(e) {}
    	}
    }
    if(!http_request) {
        alert('Cannot create an XML instance');
        return false;
    }
    http_request.onreadystatechange=function() {HandleRxXML();}; // Set callback function
    http_request.open('GET','info_iob.xml',true);
	// IE need to add the following header or it always gets the catched info_ups.xml and the values are always the same
	http_request.setRequestHeader("If-Modified-Since","Sat, 1 Jan 2000 00:00:00 GMT");
	d = new Date();
	t = d.getTime();
	thetimestring=t.toString(10);
	http_request.send(thetimestring);
}

function HandleRxXML() {
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
			UpdateXMLValue();
			serverNoResponseCount=0; // Clear no response counter
		}
    }
}

function UpdateXMLValue()
{
    if(serverNoResponseCount>3) {
		document.getElementById('NET_DISCONNECT').innerHTML=getdivc("@index#20","Network: Disconnect");
    }
    else {
	    if(isIE) { // IE
		 	try {
				xmlDoc = new ActiveXObject("MSxml2.DOMDocument");
			}
			catch(e) {
				try {
					xmlDoc = new ActiveXObject("Microsoft.xmldom");
				}
    	    	catch(e) {}
			}
			xmlDoc.loadXML(http_request.responseText)
    	}
	    else { // Chrome
    		xmlDoc=http_request.responseXML;
    	}
		document.getElementById('NET_DISCONNECT').innerHTML="";
		document.getElementById('SYS_TIME').innerHTML = xmlDoc.getElementsByTagName('SYS_TIME')[0].childNodes[0].nodeValue;

		if (infreq1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_INFREQ')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_INFREQ1').className=classString[val];
			document.getElementById('PRP_C_INFREQ4').className=classString[val];
			document.getElementById('UPS_INFREQ1').innerHTML=xmlDoc.getElementsByTagName('UPS_INFREQ1')[0].childNodes[0].nodeValue;
			if (infreq2 >= 0) {
				document.getElementById('PRP_C_INFREQ2').className=classString[val];
				document.getElementById('UPS_INFREQ2').innerHTML=xmlDoc.getElementsByTagName('UPS_INFREQ2')[0].childNodes[0].nodeValue;
			}
			if (infreq3 >= 0) {
				document.getElementById('PRP_C_INFREQ3').className=classString[val];
				document.getElementById('UPS_INFREQ3').innerHTML=xmlDoc.getElementsByTagName('UPS_INFREQ3')[0].childNodes[0].nodeValue;
			}
		}
		if (involt1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_INVOLT')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_INVOLT1').className=classString[val];
			document.getElementById('PRP_C_INVOLT4').className=classString[val];
			document.getElementById('UPS_INVOLT1').innerHTML=xmlDoc.getElementsByTagName('UPS_INVOLT1')[0].childNodes[0].nodeValue;
			if (involt2 >= 0) {
				document.getElementById('PRP_C_INVOLT2').className=classString[val];
				document.getElementById('UPS_INVOLT2').innerHTML=xmlDoc.getElementsByTagName('UPS_INVOLT2')[0].childNodes[0].nodeValue;
			}
			if (involt3 >= 0) {
				document.getElementById('PRP_C_INVOLT3').className=classString[val];
				document.getElementById('UPS_INVOLT3').innerHTML=xmlDoc.getElementsByTagName('UPS_INVOLT3')[0].childNodes[0].nodeValue;
			}
		}
		if (inamp1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_INAMP')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_INAMP1').className=classString[val];
			document.getElementById('PRP_C_INAMP4').className=classString[val];
			document.getElementById('UPS_INAMP1').innerHTML=xmlDoc.getElementsByTagName('UPS_INAMP1')[0].childNodes[0].nodeValue;
			if (inamp2 >= 0) {
				document.getElementById('PRP_C_INAMP2').className=classString[val];
				document.getElementById('UPS_INAMP2').innerHTML=xmlDoc.getElementsByTagName('UPS_INAMP2')[0].childNodes[0].nodeValue;
			}
			if (inamp3 >=0) {
				document.getElementById('PRP_C_INAMP3').className=classString[val];
				document.getElementById('UPS_INAMP3').innerHTML=xmlDoc.getElementsByTagName('UPS_INAMP3')[0].childNodes[0].nodeValue;
			}
		}
		if (involt12 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_INVOLT')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_INVOLT11').className=classString[val];
			document.getElementById('PRP_C_INVOLT14').className=classString[val];
			document.getElementById('UPS_INVOLT12').innerHTML=xmlDoc.getElementsByTagName('UPS_INVOLT12')[0].childNodes[0].nodeValue;
			if (involt23 >= 0) {
				document.getElementById('PRP_C_INVOLT12').className=classString[val];
				document.getElementById('UPS_INVOLT23').innerHTML=xmlDoc.getElementsByTagName('UPS_INVOLT23')[0].childNodes[0].nodeValue;
			}
			if (involt31 >= 0) {
				document.getElementById('PRP_C_INVOLT13').className=classString[val];
				document.getElementById('UPS_INVOLT31').innerHTML=xmlDoc.getElementsByTagName('UPS_INVOLT31')[0].childNodes[0].nodeValue;
			}
		}
		if (byfreq1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_BYFREQ')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_BYFREQ1').className=classString[val];
			document.getElementById('PRP_C_BYFREQ2').className=classString[val];
			document.getElementById('UPS_BYFREQ1').innerHTML=xmlDoc.getElementsByTagName('UPS_BYFREQ1')[0].childNodes[0].nodeValue;
		}
		if (byvolt1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_BYVOLT')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_BYVOLT1').className=classString[val];
			document.getElementById('PRP_C_BYVOLT4').className=classString[val];
			document.getElementById('UPS_BYVOLT1').innerHTML=xmlDoc.getElementsByTagName('UPS_BYVOLT1')[0].childNodes[0].nodeValue;
			if (byvolt2 >= 0) {
				document.getElementById('PRP_C_BYVOLT2').className=classString[val];
				document.getElementById('UPS_BYVOLT2').innerHTML=xmlDoc.getElementsByTagName('UPS_BYVOLT2')[0].childNodes[0].nodeValue;
			}
			if (byvolt3 >= 0) {
				document.getElementById('PRP_C_BYVOLT3').className=classString[val];
				document.getElementById('UPS_BYVOLT3').innerHTML=xmlDoc.getElementsByTagName('UPS_BYVOLT3')[0].childNodes[0].nodeValue;
			}
		}
		if (byamp1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_BYAMP')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_BYAMP1').className=classString[val];
			document.getElementById('PRP_C_BYAMP4').className=classString[val];
			document.getElementById('UPS_BYAMP1').innerHTML=xmlDoc.getElementsByTagName('UPS_BYAMP1')[0].childNodes[0].nodeValue;
			if (byamp2 >= 0) {
				document.getElementById('PRP_C_BYAMP2').className=classString[val];
				document.getElementById('UPS_BYAMP2').innerHTML=xmlDoc.getElementsByTagName('UPS_BYAMP2')[0].childNodes[0].nodeValue;
			}
			if (byamp3 >= 0) {
				document.getElementById('PRP_C_BYAMP3').className=classString[val];
				document.getElementById('UPS_BYAMP3').innerHTML=xmlDoc.getElementsByTagName('UPS_BYAMP3')[0].childNodes[0].nodeValue;
			}
		}
		if (bypower1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_BYPOWER')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_BYPOWER1').className=classString[val];
			document.getElementById('PRP_C_BYPOWER4').className=classString[val];
			document.getElementById('UPS_BYPOWER1').innerHTML=xmlDoc.getElementsByTagName('UPS_BYPOWER1')[0].childNodes[0].nodeValue;
			if (bypower2 >= 0) {
				document.getElementById('PRP_C_BYPOWER2').className=classString[val];
				document.getElementById('UPS_BYPOWER2').innerHTML=xmlDoc.getElementsByTagName('UPS_BYPOWER2')[0].childNodes[0].nodeValue;
			}
			if (bypower3 >= 0) {
				document.getElementById('PRP_C_BYPOWER3').className=classString[val];
				document.getElementById('UPS_BYPOWER3').innerHTML=xmlDoc.getElementsByTagName('UPS_BYPOWER3')[0].childNodes[0].nodeValue;
			}
		}
		if (byvolt12 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_BYVOLT')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_BYVOLT11').className=classString[val];
			document.getElementById('PRP_C_BYVOLT14').className=classString[val];
			document.getElementById('UPS_BYVOLT12').innerHTML=xmlDoc.getElementsByTagName('UPS_BYVOLT12')[0].childNodes[0].nodeValue;
			if (byvolt23 >= 0) {
				document.getElementById('PRP_C_BYVOLT12').className=classString[val];
				document.getElementById('UPS_BYVOLT23').innerHTML=xmlDoc.getElementsByTagName('UPS_BYVOLT23')[0].childNodes[0].nodeValue;
			}
			if (byvolt31 >= 0) {
				document.getElementById('PRP_C_BYVOLT13').className=classString[val];
			 	document.getElementById('UPS_BYVOLT31').innerHTML=xmlDoc.getElementsByTagName('UPS_BYVOLT31')[0].childNodes[0].nodeValue;
			 }
		}
		if (outsource >= 0) {
			document.getElementById('PRP_C_OUTSRC').className=classString[xmlDoc.getElementsByTagName('PRP_C_OUTSRC')[0].childNodes[0].nodeValue];
			document.getElementById('UPS_OUTSRC').innerHTML=outSrc[xmlDoc.getElementsByTagName('UPS_OUTSRC')[0].childNodes[0].nodeValue];
		}
		if (outfreq1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_OUTFREQ')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_OUTFREQ1').className=classString[val];
			document.getElementById('PRP_C_OUTFREQ2').className=classString[val];
			document.getElementById('UPS_OUTFREQ').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTFREQ')[0].childNodes[0].nodeValue;
		}
		if (outvolt1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_OUTVOLT')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_OUTVOLT1').className=classString[val];
			document.getElementById('PRP_C_OUTVOLT4').className=classString[val];
			document.getElementById('UPS_OUTVOLT1').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTVOLT1')[0].childNodes[0].nodeValue;
			if (outvolt2 >= 0) {
				document.getElementById('PRP_C_OUTVOLT2').className=classString[val];
				document.getElementById('UPS_OUTVOLT2').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTVOLT2')[0].childNodes[0].nodeValue;
			}
			if (outvolt3 >= 0) {
				document.getElementById('PRP_C_OUTVOLT3').className=classString[val];
				document.getElementById('UPS_OUTVOLT3').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTVOLT3')[0].childNodes[0].nodeValue;
			}
		}
		if (outamp1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_OUTAMP')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_OUTAMP1').className=classString[val];
			document.getElementById('PRP_C_OUTAMP4').className=classString[val];
			document.getElementById('UPS_OUTAMP1').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTAMP1')[0].childNodes[0].nodeValue;
			if (outamp2 >= 0) {
				document.getElementById('PRP_C_OUTAMP2').className=classString[val];
				document.getElementById('UPS_OUTAMP2').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTAMP2')[0].childNodes[0].nodeValue;
			}
			if (outamp3 >= 0) {
				document.getElementById('PRP_C_OUTAMP3').className=classString[val];
				document.getElementById('UPS_OUTAMP3').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTAMP3')[0].childNodes[0].nodeValue;
			}
		}
		if (outpower1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_OUTPOWER')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_OUTPOWER1').className=classString[val];
			document.getElementById('PRP_C_OUTPOWER4').className=classString[val];
			document.getElementById('UPS_OUTPOWER1').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTPOWER1')[0].childNodes[0].nodeValue;
			if (outpower2 >= 0) {
				document.getElementById('PRP_C_OUTPOWER2').className=classString[val];
				document.getElementById('UPS_OUTPOWER2').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTPOWER2')[0].childNodes[0].nodeValue;
			}
			if (outpower3 >= 0) {
				document.getElementById('PRP_C_OUTPOWER3').className=classString[val];
				document.getElementById('UPS_OUTPOWER3').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTPOWER3')[0].childNodes[0].nodeValue;
			}
		}
		if (outload1 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_OUTLOAD')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_OUTLOAD1').className=classString[val];
			document.getElementById('PRP_C_OUTLOAD4').className=classString[val];
			document.getElementById('UPS_OUTLOAD1').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTLOAD1')[0].childNodes[0].nodeValue;
			if (outload2 >= 0) {
				document.getElementById('PRP_C_OUTLOAD2').className=classString[val];
				document.getElementById('UPS_OUTLOAD2').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTLOAD2')[0].childNodes[0].nodeValue;
			}
			if (outload3 >= 0) {
				document.getElementById('PRP_C_OUTLOAD3').className=classString[val];
				document.getElementById('UPS_OUTLOAD3').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTLOAD3')[0].childNodes[0].nodeValue;
			}
		}
		if (outvolt12 >= 0) {
			val=xmlDoc.getElementsByTagName('PRP_C_OUTVOLT')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_OUTVOLT11').className=classString[val];
			document.getElementById('PRP_C_OUTVOLT14').className=classString[val];
			document.getElementById('UPS_OUTVOLT12').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTVOLT12')[0].childNodes[0].nodeValue;
			if (outvolt23 >= 0) {
				document.getElementById('PRP_C_OUTVOLT12').className=classString[val];
				document.getElementById('UPS_OUTVOLT23').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTVOLT23')[0].childNodes[0].nodeValue;
			}
			if (outvolt31 >= 0) {
				document.getElementById('PRP_C_OUTVOLT13').className=classString[val];
				document.getElementById('UPS_OUTVOLT31').innerHTML=xmlDoc.getElementsByTagName('UPS_OUTVOLT31')[0].childNodes[0].nodeValue;
			}
		}
		if (outBankSts.length > 0) {
			outBankSts=xmlDoc.getElementsByTagName('UPS_OUTLETSTS')[0].childNodes[0].nodeValue;
			for (i = 0; i < outBankSts.length; i++) {
				if (49 == outBankSts.charCodeAt(i)) {
					document['UPS_OUTLET' + (i+1)].src="/images/outlet_off.gif";
				}
				else {
					document['UPS_OUTLET' + (i+1)].src="/images/outlet_on.gif";
				}
			}
		}

		if((enableML)&&(currectLang != defaultLang)) {
			chgLangByDoc(info_iobs, document, 0)
		}
	}
}
//-->
</script>
</head>
<body leftmargin="1" topmargin="8" style="display:none" onLoad="loadjs('/java/langs.js');setTimeout('pageload();InitializeTimer();',150)">
<!-- Top Menu & Left Menu Start -->
<table width=941 border=0 height=100% cellspacing=0 cellpadding=0 align=center id=tab0>
<tr><td colspan=3 id=topblk valign=top><div id=topblkdiv></div></td></tr>
<tr><td colspan=3 id=topmenu1><span id=topmenu1div></span></td></tr>
<tr><td colspan=3 class=topmenusgap><img src="/images/sp.gif" width=941 height=2></td></tr>
<tr><td colspan=3 class=topmenu2 valign=top><span id=topmenu2div></span></td></tr>
<tr><td width="170" valign=top id=td0><div class=menunavdiv id=leftmenudiv></div></td>
<td id=td1><img src=/images/sp.gif width=13 height=1></td>
<td id=td2>
<div style="display:none">
<div id=currlang><% LIN_LANG %></div>
<div id=home_url><a href='<% LIN_INDEX_ASP %>'><span id="@menus#0">Home</span></a></div>
<div id=logout_url><a href='/logout.asp' class='nav' target='_top'><span id="@menus#1">Logout</span></a></div>
<div id=sys_times><% SYS_TIME %></div>
<span id='@index#20'>Network: Disconnect</span>
</div>
<!-- Top Menu & Left Menu End -->
<h4 id=page_title></h4>
<!-- Form Start -->
<FORM NAME="info_iob" ACTION="/delta/index" METHOD=post>
<table cellspacing=0 cellpadding=0 border=0 width=100%>
<tr><td colspan=2 class="critical"><span id=NET_DISCONNECT></span></td></tr>
<tr><td valign="top" width=50%>
	<table cellspacing=0 cellpadding=0><tr><td>
		<div class='bluetabs brtype0' id="<span id='#0'>Input</span>">
		<table width=320 border=0 cellspacing=1 cellpadding=0 class=mtab>
<script language="javascript">
<!--
if (involt2 >= 0 && involt3 == -1) {
	document.write("<tr><td width=45%></td><td><b>P-1</td><td><b>P-2</td><td></td><td></td></tr>");
}
else if (involt2 >= 0 && involt3 >= 0) {
	document.write("<tr><td width=45%></td><td><b>P-1</td><td><b>P-2</td><td><b>P-3</td><td></td></tr>");
}
if (infreq1 >= 0) {
	if (infreq2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_ident#10'>Frequency</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_INFREQ1><span id='UPS_INFREQ1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_INFREQ2><span id='UPS_INFREQ2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_ident#10-1'>Frequency</span>: </td><td id=PRP_C_INFREQ1><span id='UPS_INFREQ1'></span></td>");
		document.write("<td colspan=3");
	}
	if (infreq3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_INFREQ3><span id='UPS_INFREQ3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_INFREQ4><small>Hz</small></td></tr>");
}
if (involt1 >= 0) {
	if (involt2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10'>Voltage</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_INVOLT1><span id='UPS_INVOLT1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_INVOLT2><span id='UPS_INVOLT2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-1'>Voltage</span>: </td><td id=PRP_C_INVOLT1><span id='UPS_INVOLT1'></span></td>");
		document.write("<td colspan=3");
	}
	if (involt3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_INVOLT3><span id='UPS_INVOLT3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_INVOLT4><small>V</small></td></tr>");
}
if (inamp1 >= 0) {
	if (inamp2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#11'>Current</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_INAMP1><span id='UPS_INAMP1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_INAMP2><span id='UPS_INAMP2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#11-1'>Current</span>: </td><td id=PRP_C_INAMP1><span id='UPS_INAMP1'></span></td>");
		document.write("<td colspan=3");
	}
	if (inamp3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_INAMP3><span id='UPS_INAMP3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_INAMP4><small>A</small></td></tr>");
}
if (involt12 >= 0) {
	if (involt23 == -1) {
		document.write("<tr><td width=45%></td><td><b>P-12</td><td><b></td><td></td><td></td></tr>");
	}
	else if (involt23 >= 0) {
		document.write("<tr><td width=45%></td><td><b>P-12</td><td><b>P-23</td><td><b>P-31</td><td></td></tr>");
	}
	if (involt23 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-2'>Voltage</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_INVOLT11><span id='UPS_INVOLT12'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_INVOLT12><span id='UPS_INVOLT23'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-3'>Voltage</span>: </td><td id=PRP_C_INVOLT11><span id='UPS_INVOLT12'></span></td>");
		document.write("<td colspan=3");
	}
	if (involt31 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_INVOLT13><span id='UPS_INVOLT31'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_INVOLT14><small>V</small></td></tr>");
}
--></script>
		</table>
		<div>
	</td></tr>
	<tr><td>
		<div class='bluetabs brtype0' id="<span id='#1'>Bypass</span>">
		<table width=320 border=0 cellspacing=1 cellpadding=0 class=mtab>
<script language="javascript">
<!--
if (byvolt1 >= 0) {
    document.write("<br><div class=tabs id='<span id=\"#1\">Bypass Measurement</span>'>")
	document.write("<table width=240 border=0 cellspacing=1 cellpadding=0>");
}
if (byfreq1 >= 0) {
	document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_ident#10-2'>Frequency</span>: </td><td id=PRP_C_BYFREQ1><span id='UPS_BYFREQ1'></span></td>");
	document.write("<td colspan=3 id=PRP_C_BYFREQ2><small>Hz</small></td></tr>");
}
if (byvolt2 >= 0 && byvolt3 == -1) {
	document.write("<tr><td width=45%></td><td><b>P-1</td><td><b>P-2</td><td></td><td></td></tr>");
}
else if (byvolt2 >= 0 && byvolt3 >= 0) {
	document.write("<tr><td width=45%></td><td><b>P-1</td><td><b>P-2</td><td><b>P-3</td><td></td></tr>");
}
if (byvolt1 >= 0) {
	if (byvolt2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-4'>Voltage</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_BYVOLT1><span id='UPS_BYVOLT1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_BYVOLT2><span id='UPS_BYVOLT2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-5'>Voltage</span>: </td><td id=PRP_C_BYVOLT1><span id='UPS_BYVOLT1'></span></td>");
		document.write("<td colspan=3");
	}
	if (byvolt3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_BYVOLT3><span id='UPS_BYVOLT3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_BYVOLT4><small>V</small></td></tr>");
}
if (byamp1 >= 0) {
	if (byamp2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#11-2'>Current</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_BYAMP1><span id='UPS_BYAMP1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_BYAMP2><span id='UPS_BYAMP2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#11-3'>Current</span>: </td><td id=PRP_C_BYAMP1><span id='UPS_BYAMP1'></span></td>");
		document.write("<td colspan=3");
	}
	if (byamp3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_BYAMP3><span id='UPS_BYAMP3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_BYAMP4><small>A</small></td></tr>");
}
if (bypower1 >= 0) {
	if (bypower2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_ident#6'>Power</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_BYPOWER1><span id='UPS_BYPOWER1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_BYPOWER2><span id='UPS_BYPOWER2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_ident#6-1'>Power</span>: </td><td id=PRP_C_BYPOWER1><span id='UPS_BYPOWER1'></span></td>");
		document.write("<td colspan=3");
	}
	if (bypower3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_BYPOWER3><span id='UPS_BYPOWER3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_BYPOWER4><small>Watt</small></td></tr>");
}
if (byvolt12 >= 0 && byvolt23 == -1) {
	document.write("<tr><td width=45%></td><td><b>P-12</td><td><b></td><td></td><td></td></tr>");
}
else if (byvolt12 >= 0 && byvolt23 >= 0) {
	document.write("<tr><td width=45%></td><td><b>P-12</td><td><b>P-23</td><td><b>P-31</td><td></td></tr>");
}
if (byvolt12 >= 0) {
	if (byvolt23 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-6'>Voltage</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_BYVOLT11><span id='UPS_BYVOLT12'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_BYVOLT12><span id='UPS_BYVOLT23'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-7'>Voltage</span>: </td><td id=PRP_C_BYVOLT11><span id='UPS_BYVOLT12'></span></td>");
		document.write("<td colspan=3");
	}
	if (byvolt31 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_BYVOLT13><span id='UPS_BYVOLT31'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_BYVOLT14><small>V</small></td></tr>");
}
if (byvolt1 >= 0) {
	document.write("<tr><td colspan=2>&nbsp</td></tr>");
}
--></script>
		</table>
		</div>
	</td></tr></table>
</td><td valign="top" width=50%>
	<table><tr><td>
		<div class='bluetabs brtype0' id="<span id='#2'>Output</span>">
		<table width=320 border=0 cellspacing=1 cellpadding=0 class=mtab>
			<tr height=20pt><td colspan=20 class=mtabth2><span id="#4">Measurement</span></td></tr>
<script language="javascript">
<!--
if (outsource>=0) {
	document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@index#27'>Output Source</span>: </td><td colspan=3 id=PRP_C_OUTSRC><span id='UPS_OUTSRC'></span></td><td></td></tr>");
}
if (outfreq1 >= 0) {
	document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_ident#10-3'>Frequency</span>: </td><td id=PRP_C_OUTFREQ1><span id='UPS_OUTFREQ'></span></td>");
	document.write("<td colspan=3 id=PRP_C_OUTFREQ2><small>Hz</small></td></tr>");
}
if (outvolt2 >= 0 && outvolt3 == -1) {
	document.write("<tr><td width=45%></td><td><b>P-1</td><td><b>P-2</td><td></td><td></td></tr>");
}
else if (outvolt2 >= 0 && outvolt3 >= 0) {
	document.write("<tr><td width=45%></td><td><b>P-1</td><td><b>P-2</td><td><b>P-3</td><td></td></tr>");
}
if (outvolt1 >= 0) {
	if (outvolt2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-8'>Voltage</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_OUTVOLT1><span id='UPS_OUTVOLT1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTVOLT2><span id='UPS_OUTVOLT2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-9'>Voltage</span>: </td><td id=PRP_C_OUTVOLT1><span id='UPS_OUTVOLT1'></span></td>");
		document.write("<td colspan=3");
	}
	if (outvolt3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTVOLT3><span id='UPS_OUTVOLT3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_OUTVOLT4><small>V</small></td></tr>");
}
if (outamp1 >= 0) {
	if (outamp2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#11-4'>Current</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_OUTAMP1><span id='UPS_OUTAMP1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTAMP2><span id='UPS_OUTAMP2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#11-5'>Current</span>: </td><td id=PRP_C_OUTAMP1><span id='UPS_OUTAMP1'></span></td>");
		document.write("<td colspan=3");
	}
	if (outamp3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTAMP3><span id='UPS_OUTAMP3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_OUTAMP4><small>A</small></td></tr>");
}
if (outpower1 >= 0) {
	if (outpower2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_ident#6-2'>Power</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_OUTPOWER1><span id='UPS_OUTPOWER1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTPOWER2><span id='UPS_OUTPOWER2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_ident#6-3'>Power</span>: </td><td id=PRP_C_OUTPOWER1><span id='UPS_OUTPOWER1'></span></td>");
		document.write("<td colspan=3");
	}
	if (outpower3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTPOWER3><span id='UPS_OUTPOWER3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_OUTPOWER4><small>Watt</small></td></tr>");
}
if (outload1 >= 0) {
	if (outload2 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='#5-1'>Loading</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_OUTLOAD1><span id='UPS_OUTLOAD1'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTLOAD2><span id='UPS_OUTLOAD2'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='#5-2'>Loading</span>: </td><td id=PRP_C_OUTLOAD1><span id='UPS_OUTLOAD1'></span></td>");
		document.write("<td colspan=3");
	}
	if (outload3 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTLOAD3><span id='UPS_OUTLOAD3'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_OUTLOAD4><small>%</small></td></tr>");
}
if (outvolt12 >= 0 && outvolt23 == -1) {
	document.write("<tr><td width=45%></td><td><b>P-12</td><td><b></td><td></td><td></td></tr>");
}
else if (outvolt12 >= 0 && outvolt23 >= 0) {
	document.write("<tr><td width=45%></td><td><b>P-12</td><td><b>P-23</td><td><b>P-31</td><td></td></tr>");
}
if (outvolt12 >= 0) {
	if (outvolt23 >= 0) {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-10'>Voltage</span>: </td><td bgcolor=#e5e5e5 id=PRP_C_OUTVOLT11><span id='UPS_OUTVOLT12'></span></td>");
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTVOLT12><span id='UPS_OUTVOLT23'></span></td>");
	}
	else {
		document.write("<tr><td width=45% align=right nowrap style='padding-right:6px;'><span id='@info_battery#10-11'>Voltage</span>: </td><td id=PRP_C_OUTVOLT11><span id='UPS_OUTVOLT12'></span></td>");
		document.write("<td colspan=3");
	}
	if (outvolt31 >= 0) {
		document.write("<td bgcolor=#e5e5e5 id=PRP_C_OUTVOLT13><span id='UPS_OUTVOLT31'></span></td>");
		document.write("<td");
	}
	else {
		document.write("<td colspan=2");
	}
	document.write(" id=PRP_C_OUTVOLT14><small>V</small></td></tr>");
}
--></script>
		</table>
		</div>
	</td></tr>
	<tr><td>
<script language="javascript">
<!--
var i;

if (outBankSts.length > 0) {
	document.write("<br><div id='show'><div class='sidebox'><!--h2>Outlet Bank</h2--><div class=tabs id='<span id=\"#3\">Outlet Bank</span>'><table width=320 border=0 cellspacing=0 cellpadding=0><tr>");
	for (i = 0; i < outBankSts.length; i++) {
		document.write("<td align='center'><img name='UPS_OUTLET", i+1, "'><small>..", i+1, "</small></td>");
	}
	document.write("</tr></table></div></div></div>");
}
--></script>
	</td></tr></table>
</td></tr>
</table>
</form>
<!-- Form end -->
<div id=copyright style="margin-top:-12px;"></div>
		</td>
	</tr>
</table>
<script language="javascript"><!--
var usr_level=<% LIN_LOGIN_LEVEL %>;
var show_module="<% UPS_SHOW_MODULE %>";
loadwebstyle("Monitor","Information","In/Out/Bypass")
//--></script>
</body>
</html>