<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><% LIN_PRODUCT_NAME %> Web</title>
<meta http-equiv="X-UA-Compatible" content="IE=9,8,7,6,5" />
<meta http-equiv="content-type" content="text/html"; charset="utf-8">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="expires" content="-1">
<link rel="stylesheet" href="/template.css" type="text/css">
<script language=javascript src="/java/js.js"></script>
<script language="JavaScript">
<!--
pageLang = "info_sagent"
var isIE = /*@cc_on!@*/false;
var secs;
var timerID=null;
var delay=1000;
var http_request;
var xmlDoc;
var xmlNode;
var serverNoResponseCount=0;
var imgSrc=new Array("/images/l_gray.gif","/images/l_normal.gif","/images/l_warning.gif","/images/l_critical.gif");
var reasonSrc=new Array('<span id="#6-1">None</span>','<span id="#7-1">Power Fail</span>','<span id="#8-1">Battery Low</span>','<span id="#9-1">Overload</span>','<span id="#11-1">On Bypass</span>','<span id="#10-1">Smart Shutdown</span>');
function getStr(str,count){return str.replace(/#(\d+)-*/,"#$1-"+count)}
function InitializeTimer()
{
	// Set the length of the timer, in seconds
	secs=0;
	RunTheTimer();
}

function RunTheTimer()
{
	if(secs==0) {
		secs = <% WEB_REFRESH %>;
		if(serverNoResponseCount>3) {
			UpdateXMLValue(); // Display unknown
		}
		serverNoResponseCount++; // Increase no response counter
		MakeXMLRequest();
	}
	self.status=secs;
	secs=secs-1;
	timerID=self.setTimeout("RunTheTimer()",delay);
}

function MakeXMLRequest()
{
    if(window.XMLHttpRequest) // IE7, Chrome
    	http_request=new XMLHttpRequest();
    else if(window.ActiveXObject) { // IE
    	try {
        	// New IE
        	http_request=new ActiveXObject("Msxml2.XMLHTTP");
    	}
    	catch(e) {
        	try {
        		// IE6, IE5
        		http_request=new ActiveXObject("Microsoft.XMLHTTP");
        	}
        	catch(e) {}
    	}
    }
    if(!http_request) {
        alert('Cannot create an XML instance');
        return false;
    }
    http_request.onreadystatechange=function() {HandleRxXML();}; // Set callback function
    http_request.open('GET','info_sagent.xml',true);
	// IE need to add the following header or it always gets the catched info_status.xml and the values are always the same
	http_request.setRequestHeader("If-Modified-Since","Sat, 1 Jan 2000 00:00:00 GMT");
	d = new Date();
	t = d.getTime();
	thetimestring=t.toString(10);
	http_request.send(thetimestring);
}

function HandleRxXML() {
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
			UpdateXMLValue();
			serverNoResponseCount=0; // Clear no response counter
		}
    }
}

function UpdateXMLValue()
{
    if(serverNoResponseCount>3) {
		document.getElementById('NET_DISCONNECT').innerHTML=getdivc("@index#20","Network: Disconnect");
    }
    else {
	    if(isIE) { // IE
		 	try {
				xmlDoc = new ActiveXObject("MSxml2.DOMDocument");
			}
			catch(e) {
				try {
					xmlDoc = new ActiveXObject("Microsoft.xmldom");
				}
    	    	catch(e) {}
			}
			xmlDoc.loadXML(http_request.responseText)
    	}
	    else { // Chrome
    		xmlDoc=http_request.responseXML;
    	}
		document.getElementById('NET_DISCONNECT').innerHTML="&nbsp;";
		document.getElementById('SYS_TIME').innerHTML=xmlDoc.getElementsByTagName('SYS_TIME')[0].childNodes[0].nodeValue;
		ListNum = xmlDoc.getElementsByTagName('SAS_SA_NUM')[0].childNodes[0].nodeValue;
		if (ListNum > 0) {
			line_tmp = "<table width=650 border=0 cellspacing=1 cellpadding=10 class=mtab3>" +
						"<tr><td class=mtabth2>&nbsp;</td><th><span id='@adm_ipconfig#3'>IP Address</span></th><th><span id='#1'>OS</span></th><th><span id='#2'>Countdown (sec)</span></th><th><span id='#3'>Reason</span></th><th><span id='#5'>Last Touch (sec)</span></th></tr>";
			for (i = 0; i < ListNum; i++) {
				val_ip = xmlDoc.getElementsByTagName('SAS_SA_IP')[i].childNodes[0].nodeValue;
				val_host = xmlDoc.getElementsByTagName('SAS_SA_HOST')[i].childNodes[0].nodeValue;
				val_os = xmlDoc.getElementsByTagName('SAS_SA_OS')[i].childNodes[0].nodeValue;
				val_countdown = xmlDoc.getElementsByTagName('SAS_SA_COUNTDOWN')[i].childNodes[0].nodeValue;
				val_reason = xmlDoc.getElementsByTagName('SAS_SA_REASON')[i].childNodes[0].nodeValue;
				val_touch = xmlDoc.getElementsByTagName('SAS_SA_TOUCH')[i].childNodes[0].nodeValue;
				val_sts = 0;
				countdown_time = '';
				if (val_touch < 30) {
					val_sts = 1;
					if (val_countdown >= 120) {
						val_sts = 2;
						countdown_time = Math.floor(val_countdown / 60) + ':' + val_countdown % 60;
					}
					else if (val_countdown >= 0) {
						val_sts = 3;
						countdown_time = Math.floor(val_countdown / 60) + ':' + val_countdown % 60;
					}
				}
				if (val_countdown < 0) {
					val_countdown = "";
				}
				if (val_reason > 0) {
					val_reason--;
				}
//				line_tmp += '<tr><td valign="center" nowrap><img border=0 src=' + imgSrc[val_sts] + '> ' + (i + 1) + '</td><td nowrap><a href=http://' + val_ip + ' class="uline">' + val_ip + '</a><br>' + val_host + '</td><td>' + val_os + '</td><td>' + countdown_time + '</td><td nowrap>' + getStr(reasonSrc[val_reason],i) + '</td><td nowrap>' + val_touch + '</td></tr>';
				line_tmp += '<tr><td valign="center" nowrap><img border=0 src=' + imgSrc[val_sts] + '> ' + (i + 1) + '</td><td nowrap>' + val_ip + '<br>' + val_host + '</td><td>' + val_os + '</td><td>' + countdown_time + '</td><td nowrap>' + getStr(reasonSrc[val_reason],i) + '</td><td nowrap>' + val_touch + '</td></tr>';
			}
			document.getElementById('SAS_SA_LIST').innerHTML = line_tmp + "</table>";
		}
		if((enableML)&&(currectLang != defaultLang))chgLangByDoc(info_sagents, document, 0)
	}
}
--></script>
</head>

<body leftmargin="1" topmargin="8" style="display:none" onLoad="loadjs('/java/langs.js');setTimeout('InitializeTimer()',150);">
<!-- Top Menu & Left Menu Start -->
<table width=941 border=0 height=100% cellspacing=0 cellpadding=0 align=center id=tab0>
<tr><td colspan=3 id=topblk valign=top><div id=topblkdiv></div></td></tr>
<tr><td colspan=3 id=topmenu1><span id=topmenu1div></span></td></tr>
<tr><td colspan=3 class=topmenusgap><img src="/images/sp.gif" width=941 height=2></td></tr>
<tr><td colspan=3 class=topmenu2 valign=top><span id=topmenu2div></span></td></tr>
<tr><td width="170" valign=top id=td0><div class=menunavdiv id=leftmenudiv></div></td>
<td id=td1><img src=/images/sp.gif width=13 height=1></td>
<td id=td2>
<div style="display:none">
<div id=currlang><% LIN_LANG %></div>
<div id=home_url><a href='<% LIN_INDEX_ASP %>'><span id="@menus#0">Home</span></a></div>
<div id=logout_url><a href='/logout.asp' class='nav' target='_top'><span id="@menus#1">Logout</span></a></div>
<div id=sys_times><% SYS_TIME %></div>
<span id='@index#20'>Network: Disconnect</span>
</div>
<!-- Top Menu & Left Menu End -->
<h4 id=page_title></h4>
<!-- Form Start -->
<table width=630 border=0 cellspacing=1 cellpadding=0>
<tr><td colspan=4 class="critical"><span id=NET_DISCONNECT></span></td></tr>
<tr><td>
	<div class='bluetabs brtype0' id="<span id='@0'>MM ShutdownAgent</span>">
		<span id='SAS_SA_LIST'></span>
	</div>
</td></tr>
</table>
<!--/div-->

<!-- Form end -->
<div id=copyright></div>
<script language="javascript"><!--
var usr_level=<% LIN_LOGIN_LEVEL %>;
var show_module="<% UPS_SHOW_MODULE %>";
loadwebstyle("Monitor","Information","ShutdownAgent")
//--></script>
</td></tr></table>
</body>
</html>
